Bug 1296367 - RHEL Atomic host should not enable wpa_supplicant.service as default
RHEL Atomic host should not enable wpa_supplicant.service as default
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic (Show other bugs)
7.2
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Colin Walters
atomic-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 20:16 EST by Steven Ellis
Modified: 2016-09-14 17:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 16:10:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Ellis 2016-01-06 20:16:22 EST
Description of problem:

Deploy RHEL Atomic Host 7.2 from ISO and update to version 7.2.1 via rpmostree. wpa-supplicant is running

Version-Release number of selected component (if applicable):

RHEL Atomic 7.2.1

How reproducible:

Yes

Steps to Reproduce:
1. Deploy from ISO
2. atomic host upgrade
3. reboot
4. ps -eaf | grep wpa

Actual results:

wpa-supplicant is running and should not be required for the majority of Atomic environments

Expected results:

# systemctl status wpa_supplicant.service
● wpa_supplicant.service - WPA Supplicant daemon
   Loaded: loaded (/usr/lib/systemd/system/wpa_supplicant.service; disabled; vendor preset: disabled)
   Active: inactive (dead)


Additional info:
Comment 4 Micah Abbott 2016-09-14 16:10:15 EDT
This is disabled in the latest 7.2 RHELAH tree:

-bash-4.2# systemctl status wpa_supplicant.service 
● wpa_supplicant.service - WPA Supplicant daemon
   Loaded: loaded (/usr/lib/systemd/system/wpa_supplicant.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Closing as NEXTRELEASE
Comment 5 Micah Abbott 2016-09-14 16:51:01 EDT
(In reply to Micah Abbott from comment #4)
> This is disabled in the latest 7.2 RHELAH tree:

Oops...that should have said 7.3 RHELAH tree
Comment 6 Colin Walters 2016-09-14 17:02:11 EDT
So there's a comment in the spec file:

a54c5d45 (Dan Williams        2014-12-26  143) # Kept for RHEL to ensure that wired 802.1x works out of the box
a54c5d45 (Dan Williams        2014-12-26  144) Requires: wpa_supplicant >= 1:1.1

Which is different from Fedora.  It's true that it's now disabled and we can consider this fixed, I'd at some point like to consider not installing it by default and having 802.1x users install it.

Note You need to log in before you can comment on or make changes to this bug.